Looks like Xmarks and Lastpass will never support e10 Multiprocessor in Firefox

So it looks like neither Xmarks or Lastpass will ever support e10 Multiprocessing in Mozilla Firefox. For years Mozilla Firefox has been my browser of choice because of all of it's extensions. There was a short period where I used Chrome, but it is not as customizable. Firefox though is changing and is becoming multiprocessor, and that requires re-writing plugins to work with e10, or they won't work. Right no Firefox will still work without e-10, by keeping Firefox in the old mode without mulit-processor support.

I contacted Xmarks/Lastpass support to see about their e-10 support, and I got this response.

Hello,

Thanks for reaching out to Xmarks Support.

Through testing that we were unable to install Xmarks in Electrolysis e10. At this time, we have no plans to launch Xmarks compatibility with e10. I will submit a formal feature request ticket advocating your desire if you'd like.

Thanks,
Jeremy

So basically a paid service will never update their software and will very shortly lose all support for Firefox my favorite browser! Time to kill my accounts for xmarks and lastpass!

Of course now the question is how to replace these essential programs. I am going to try out Firefox Browser sync, and iCloud sync. Unfortunately iCloud Browser sync only runs on windows, but I have my Surface Pro 4 running Windows 10, so I can try Safari Browser sync to sync between Chrome, Firefox and Safari on Mac. And it is e10 supported, so that might work. I will keep my backup in Firefox on my mac so I can keep replacing my good backups.
Comments (2)
See Older Posts...
Jonah Lee .com